Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 167)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 169)
@@ -791,5 +791,5 @@
     },
     'layout': {
-        'style_prefix': 'layout_default_',
+        'style_prefix': 'layout_waeup_',
         'flexible_widgets': (),
         'ncols': 1,
@@ -1091,5 +1091,5 @@
     },
    'layout': {
-        'style_prefix': 'layout_default_',
+        'style_prefix': 'layout_waeup_',
         'flexible_widgets': (),
         'ncols': 1,
@@ -1834,5 +1834,5 @@
     },
    'layout': {
-        'style_prefix': 'layout_default_',
+        'style_prefix': 'layout_waeup_',
         'flexible_widgets': (),
         'ncols': 1,
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 167)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 169)
@@ -95,7 +95,5 @@
     'actions': ({'id': 'view',
                  'name': 'Standard View',
-                 #'action': 'students_folder_view',
                  'action': 'temporary_view_all',
-                 #'condition': "python:member and 'Manager' in member.getRoles()",
                  'permissions': (View,)},
 ##                {
@@ -273,5 +271,5 @@
           #'action': 'string:${object_url}/student_index_html',
           'action': 'string:${object_url}/temporary_view_all',
-          'condition':  'python:object.getContent().memberIsOwner()',
+          'condition':  "python:object.getContent().memberIsOwner() or 'UniversityManager'in member.getRoles()",
           'permission': (View,),
           'category': 'object',
@@ -306,5 +304,5 @@
           {
           'id'        : 'DOCUMENTS',
-          'name'      : 'upload Documents',
+          'name'      : 'Upload Documents',
           'action'    : 'string:${object/absolute_url}/DOCUMENTS',
           'condition':  "python: object.getContent().memberIsOwner() and getattr(object,'PERSONAL',None)",
@@ -463,5 +461,5 @@
     'actions': (
          {'id': 'view',
-          'name': 'View',
+          'name': 'Standard View',
           'action': 'string:${object_url}/temporary_view_all',
           'permission': (View),
Index: waeup_product/trunk/skins/waeup_default/student_view_all_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/student_view_all_form.pt	(revision 169)
+++ waeup_product/trunk/skins/waeup_default/student_view_all_form.pt	(revision 169)
@@ -0,0 +1,34 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="head_slot">
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="roles member/getRoles;
+               backend python:'UniversityManager' in roles or 'StudentManager' in roles;
+               frontend python:'Student' in roles or isAnon;
+               folder here/getContent;
+               items python:context.filterContents(items=context.contentValues());"
+               >
+    <h1> <span tal:content="context/title_or_id" /></h1>      
+  
+    <p>This is a temporary view of the object with id <em tal:content="here/id" /> 
+       of type <em tal:content="here/portal_type" /> 
+       which can be customized according to the customer's needs.</p>       
+  
+    <br />
+    <span  tal:condition="python:context.portal_type != 'University'"  tal:omit-tag="">
+      <p>Exemplary view of the <strong>object's data fields</strong>: </p>
+      <tal:block  tal:content="structure rendered_main|python:doc.render(proxy=here)" />
+    </span>
+  
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: waeup_product/trunk/skins/waeup_default/student_view_student_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/student_view_student_form.pt	(revision 169)
+++ waeup_product/trunk/skins/waeup_default/student_view_student_form.pt	(revision 169)
@@ -0,0 +1,58 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="head_slot">
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="roles member/getRoles;
+               backend python:'UniversityManager' in roles or 'StudentManager' in roles;
+               frontend python:'Student' in roles or isAnon;
+               folder here/getContent;
+               items python:context.filterContents(items=context.contentValues());"
+               >
+    <h1> <span tal:content="context/title_or_id" /></h1>      
+  
+    <p>This is a temporary view of the object with id <em tal:content="here/id" /> 
+       of type <em tal:content="here/portal_type" /> 
+       which can be customized according to the customer's needs.</p>       
+  
+    <br />
+    <span  tal:condition="python:context.portal_type != 'University'"  tal:omit-tag="">
+      <p>Exemplary view of the <strong>object's data fields</strong>: </p>
+      <tal:block  tal:content="structure rendered_main|python:doc.render(proxy=here)" />
+    </span>
+    <br />      
+    <p>Exemplary view of the <strong>list of items attached to (or contained in) the object</strong>: </p>
+    <tal:block condition="python: len(items)">  
+      <table>
+        <span tal:repeat="item items">
+          <tr>
+            <td>
+              <span tal:content="item/portal_type" />:
+            </td>
+            <td>
+              <i>
+                <a href="xxx"  
+                   tal:attributes="href item/absolute_url"
+                   tal:content="item/title_or_id"></a>
+              </i>
+            </td>
+          </tr>
+        </span>
+      </table>
+    </tal:block>
+    
+    <tal:block condition="python: not len(items)">
+        (No items contained here!)
+    </tal:block>
+  
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: waeup_product/trunk/skins/waeup_default/temporary_view_all.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/temporary_view_all.py	(revision 167)
+++ waeup_product/trunk/skins/waeup_default/temporary_view_all.py	(revision 169)
@@ -2,6 +2,6 @@
 # $Id$
 
-"""Default view for the forum. If post_id is not None, post with id = <post_id>
-will be displayed, otherwise first post will be displayed."""
+"""
+"""
 
 member = context.portal_membership.getAuthenticatedMember()
@@ -13,5 +13,5 @@
 #return context.temporary_view_all_form(psm=psm)
 if context.portal_membership.isAnonymousUser():
-    return context.temporary_view_all_form(psm=psm)
+    return context.students.student_view_all_form(psm=psm)
 else:
     if url0.find(uname) > 0 or 'UniversityManager' in roles or 'Manager' in roles:
@@ -21,4 +21,4 @@
         for r in res:
             if r.getPath().endswith("students/%s" % uname):
-                return r.getObject().temporary_view_all_form(psm=psm)
-        return context.temporary_view_all_form(psm=psm)
+                return r.getObject().student_view_student_form(psm=psm)
+        return context.students.student_view_all_form(psm=psm)
Index: waeup_product/trunk/skins/waeup_default/temporary_view_all_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/temporary_view_all_form.pt	(revision 167)
+++ waeup_product/trunk/skins/waeup_default/temporary_view_all_form.pt	(revision 169)
@@ -39,8 +39,7 @@
             <td>
               <i>
-                <a href="xxx" tal:condition="backend" 
+                <a href="xxx"  
                    tal:attributes="href item/absolute_url"
                    tal:content="item/title_or_id"></a>
-                <span tal:condition="frontend" tal:content="item/title_or_id"/>
               </i>
             </td>