Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 169)
+++ /waeup_product/trunk/Extensions/install.py	(revision 170)
@@ -192,5 +192,5 @@
                       },
                       { 'tool'      : 'portal_actions',
-                        'id'        : 'Academics',
+                        'id'        : 'academics',
                         'name'      : 'Academics',
                         'action'    : "python: portal.portal_url.getUrlFromRpath('sections/demouni/academics')",
Index: /waeup_product/trunk/Students.py
===================================================================
--- /waeup_product/trunk/Students.py	(revision 169)
+++ /waeup_product/trunk/Students.py	(revision 170)
@@ -66,8 +66,12 @@
     def Description(self):
         """compose description"""
-        data = getattr(self,'JAMB',None)
+        data = getattr(self,'PERSONAL',None)
+        data_jamb = getattr(self,'JAMB',None)
+        if data is None:
+            data = data_jamb
         if data:
-            content = data.getContent()
-            return "%s %s is studying %s" % (content.firstname,content.lastname,content.course)
+            content_data = data.getContent()
+            content_jamb = data_jamb.getContent()
+            return "%s %s is studying %s" % (content_data.firstname,content_data.lastname,content_jamb.course)
         return self.description
 
@@ -80,5 +84,5 @@
                 '%s_date' % ident : ds.get('sc_date'),
                 }
-                
+
         if self.portal_membership.isAnonymousUser():
             tmp_user = CPSUnrestrictedUser('s%(jamb_id)s' % ds, '',
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 169)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 170)
@@ -304,5 +304,5 @@
           {
           'id'        : 'DOCUMENTS',
-          'name'      : 'Upload Documents',
+          'name'      : 'Scanned Documents',
           'action'    : 'string:${object/absolute_url}/DOCUMENTS',
           'condition':  "python: object.getContent().memberIsOwner() and getattr(object,'PERSONAL',None)",
@@ -316,5 +316,5 @@
           {
           'id'        : 'register_study_level',
-          'name'      : 'Register for next Level',
+          'name'      : 'Register for Next Level',
           'action'    : 'string:${object/absolute_url}/register_level',
           'condition':  'python: object.getContent().memberIsOwner() and not object.getContent().isRegisteredForCurrentLevel()',
@@ -514,5 +514,5 @@
           'visible': True,},
           {'id': 'add_level',
-          'name': 'Register for next year',
+          'name': 'Register for Next Year',
           'condition': "python:member and 'Student'in member.getRoles()",
           'action'    : 'register_level',
@@ -574,4 +574,5 @@
           'name': 'action_metadata',
           'action': 'cpsdocument_metadata',
+          'condition': "python:member and 'Manager' in member.getRoles()",
           'permissions': (ModifyPortalContent,UniversityManage,)},
           {'id': 'localroles',
Index: /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt	(revision 169)
+++ /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt	(revision 170)
@@ -21,4 +21,5 @@
       </span>
     </tal:block>
+    <tal:block condition="python: 0">
     <br />
     <a href="" tal:condition="python: 'Student' in member.getRoles() and not 'UniversityManager' in member.getRoles()" 
@@ -26,4 +27,5 @@
       Go to your personal area
     </a>
+    </tal:block>
     <br />
     <a href="" tal:condition="python: 0" 
Index: /waeup_product/trunk/skins/waeup_student/booked_accommodation.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/booked_accommodation.pt	(revision 169)
+++ /waeup_product/trunk/skins/waeup_student/booked_accommodation.pt	(revision 170)
@@ -8,9 +8,9 @@
                >
     You have successfully booked bed nr <span tal:content="acco/beds_assigned" /> in <span tal:content="acco/heading" />.
-    <br />Your next steps:
+    <p>Your next steps:</p>
     <ul>
-      <li>Buy a Hostel Scratch card</li>
-      <li>Login with your user_id and password </li>
-      <li>Klick on the pay Hostel Fee tab</li>
+      <li>Buy a Hostel Fee Scratch Card</li>
+      <li>Login with your user id and password </li>
+      <li>Click 'Pay Hostel Fee'</li>
     </ul>
   </metal:block>