Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 172)
+++ /waeup_product/trunk/Extensions/install.py	(revision 173)
@@ -210,5 +210,5 @@
                         'visible'   : 1,
                       },
-##                      { 'tool'      : 'portal_actions',
+##                      { 'tool'      : 'portal_actions', ###(
 ##                        'id'        : 'add_jamb',
 ##                        'name'      : 'Add Student JAMB',
@@ -264,5 +264,8 @@
 ##                        'visible'   : 1,
 ##                      },
+###)
+
                     )
+        self.deleteActions({'portal_actions': [action['id'] for action in actions]})
         self.verifyActions(actions)
         ##########################################
@@ -403,6 +406,5 @@
                 returned.append(portlet_id)
         return returned
-
-###)
+    ###)
 
     def installCustomWorkflows(self): ###(
@@ -448,6 +450,74 @@
                                        se_chains,
                                        destructive=1)
-
-###)
+    ###)
+
+    def verifyFaculties(self, academics): ###(
+        """install Universityspecific Faculies with Departments"""
+        faculties = [
+##                     {'id': 'agri', ###(
+##                      'Title': 'Agriculture',
+##                      'departments': [
+##                                     { 'id': 'dep1', ###(
+##                                       'Title': 'One',
+##                                     },
+##                                     ],
+##                      },###)
+                      { 'id': 'science',
+                      'Title': 'Science',
+                      'departments': [
+                                     { 'id': 'bio', ###(
+                                       'Title': 'Biochemistry',
+                                     },
+                                     { 'id': 'bot',
+                                       'Title': 'Botany',
+                                     },
+                                     { 'id': 'che',
+                                       'Title': 'Chemistry',
+                                     },
+                                     { 'id': 'com',
+                                       'Title': 'Computer Science',
+                                     },
+                                     { 'id': 'geo',
+                                       'Title': 'Geologie',
+                                     },
+                                     { 'id': 'mat',
+                                       'Title': 'Mathematics',
+                                     },
+                                     { 'id': 'mic',
+                                       'Title': 'Microbiology',
+                                     },
+                                     { 'id': 'opt',
+                                       'Title': 'Optometry',
+                                     },
+                                     { 'id': 'phy',
+                                       'Title': 'Physics',
+                                     },
+                                     { 'id': 'zoo',
+                                       'Title': 'Zoology',
+                                     },
+                                     ],
+                      },###)
+                     ]###)
+        self.log('Verifying Faculties in %s' % academics.absolute_url(relative=1))
+        for faculty in faculties:
+            fid = faculty['id']
+            f = getattr(academics,fid,None)
+            self.log('Checking Faculty %(id)s = %(Title)s' % faculty)
+            if f is None:
+                self.log('Creating Faculty %(id)s = %(Title)s' % faculty)
+                academics.invokeFactory('Faculty', fid)
+                f = getattr(academics,fid)
+                f.getContent().edit(mapping=faculty)
+            for department in faculty['departments']:
+                self.log('Checking Department %(id)s = %(Title)s' % department)
+                did = department['id']
+                d = getattr(f,did,None)
+                if d is None:
+                    self.log('Creating Department %(id)s = %(Title)s' % department)
+                    f.invokeFactory('Department', did)
+                    d = getattr(f,did)
+                    d.getContent().edit(mapping=department)
+    ###)
+
 
 
@@ -492,8 +562,10 @@
         accommodation = getattr(waeup,'accommodation').getContent()
         accommodation.edit(mapping={'Title':'Accommodation'})
-    if not hasattr(waeup,'academics'):
+    academics = getattr(waeup,'academics',None)
+    if academics is None:
         waeup.invokeFactory('AcademicsFolder','academics')
-        academics = getattr(waeup,'academics').getContent()
-        academics.edit(mapping={'Title':'Academics'})
+        academics = getattr(waeup,'academics')
+        academics.getContent().edit(mapping={'Title':'Academics'})
+    installer.verifyFaculties(academics)
     if not hasattr(waeup,'accommodation'):
         waeup.invokeFactory('AccoFolder','accommodation')
Index: /waeup_product/trunk/Faculty.py
===================================================================
--- /waeup_product/trunk/Faculty.py	(revision 172)
+++ /waeup_product/trunk/Faculty.py	(revision 173)
@@ -9,4 +9,5 @@
 #from Products.CPSCore.CPSBase import CPSBaseDocument as BaseDocument 
 from Products.CPSDocument.CPSDocument import CPSDocument 
+from Products.CPSSchemas.CPSDocument import CPSDocument 
 from Products.CPSCore.CPSBase import CPSBaseBTreeFolder as BaseBTreeFolder 
 
@@ -82,4 +83,10 @@
     security = ClassSecurityInfo()
     
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        reg_nr = self.getId()[1:]
+        return "Faculty of %s" % (self.title)
+
 InitializeClass(Faculty)
 
@@ -111,5 +118,11 @@
     portal_type = meta_type
     security = ClassSecurityInfo()
-    
+
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        reg_nr = self.getId()[1:]
+        return "Department of %s" % (self.title)
+
 InitializeClass(Department)
 
Index: /waeup_product/trunk/Students.py
===================================================================
--- /waeup_product/trunk/Students.py	(revision 172)
+++ /waeup_product/trunk/Students.py	(revision 173)
@@ -85,4 +85,5 @@
                 }
 
+        old_user = self.portal_membership.getAuthenticatedMember()
         if self.portal_membership.isAnonymousUser():
             tmp_user = CPSUnrestrictedUser('s%(jamb_id)s' % ds, '',
@@ -92,4 +93,5 @@
         #print str(dict)
         self.edit(mapping=dict)
+        newSecurityManager(None, old_user)
 
     security.declareProtected(View,"memberIsOwner")
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 172)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 173)
@@ -365,4 +365,12 @@
                 },
             }
+username_hidden = { ###(
+            'type': 'String Widget',
+            'data': {
+                'title': 'Username',
+                'fields': ('username',),
+                'hidden_layout_modes': ['create',],
+                },
+            }
 
 ###)
@@ -882,5 +890,5 @@
                 'javascript_expr': '',
                 'deletable': True,
-                'size_max': 40960,
+                'size_max': 204800,
                 'display_width': 90,
                 'display_height': 180,
@@ -912,5 +920,5 @@
                 'javascript_expr': '',
                 'deletable': True,
-                'size_max': 40960,
+                'size_max': 204800,
                 'display_width': 300,
                 'display_height':600,
@@ -939,5 +947,5 @@
                 'javascript_expr': '',
                 'deletable': True,
-                'size_max': 40960,
+                'size_max': 204800,
                 'display_width': 300,
                 'display_height':600,
@@ -966,5 +974,5 @@
                 'javascript_expr': '',
                 'deletable': True,
-                'size_max': 40960,
+                'size_max': 204800,
                 'display_width': 300,
                 'display_height':600,
@@ -1023,4 +1031,5 @@
         'sex': sex,
         'email': email,
+        'username': username_hidden,
         'pw': pw,
         'rpw': rpw,
@@ -1034,8 +1043,8 @@
             #[{'widget_id': 'middlename', 'ncols': 1},],
             #[{'widget_id': 'lastname', 'ncols': 1},],
-            #[{'widget_id': 'sex', 'ncols': 1},],
+            #[{'widget_id': 'username', 'ncols': 1},],
             [{'widget_id': 'email', 'ncols': 1},],
-            [{'widget_id': 'pw', 'ncols': 1},],
-            [{'widget_id': 'rpw', 'ncols': 1},],
+            #[{'widget_id': 'pw', 'ncols': 1},],
+            #[{'widget_id': 'rpw', 'ncols': 1},],
         ]
     },
@@ -1457,9 +1466,9 @@
                 'help': '',
                 'is_i18n': False,
-                'vocabulary': 'faculties',
+                'vocabulary': 'get_faculties_voc',
             },
         },
         'course': {
-            'type': 'String Widget',
+            'type': 'Select Widget',
             'data': {
                 'title': 'Study Course',
@@ -1470,4 +1479,5 @@
                 'description': '',
                 'help': 'The course to study',
+                'vocabulary': 'get_departments_voc',
                 'is_i18n': False,
             },
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 172)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 173)
@@ -488,4 +488,10 @@
         'data': {
             'is_searchabletext': 1,
+        },
+    },
+     'username': {
+        'type': 'CPS String Field',
+        'data': {
+            'is_searchabletext': 0,
         },
     },
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 172)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 173)
@@ -73,4 +73,97 @@
 ###)
 
+academics_folder_type = { ###(
+    'title': 'WAeUP Academics Folder',
+    'description': 'The WAeUP Academics Folder',
+    'content_icon': '',
+    'content_meta_type': 'AcademicsFolder',
+    'product': 'CPSDefault',
+    'factory': 'addFolder',
+    'immediate_view': 'folder_view',
+    'global_allow': 1,
+    'filter_content_types': 1,
+    'allowed_content_types': ('Faculty',),
+    'allow_discussion': 0,
+    'cps_is_searchable': 1,
+    'cps_display_as_document_in_listing': 1,
+    'cps_proxy_type': 'folder',
+    'schemas': ['metadata', 'common', 'folder'],
+    'layouts': ['waeup_common','folder'],
+    'layout_clusters': ['metadata:metadata'],
+    'cps_section_wf': 'waeup_section_wf',
+    'actions': ({'id': 'view',
+                 'name': 'Standard View',
+                 #'action': 'academics_view',
+                 'action': 'temporary_view_all',
+                 'condition': "",
+                 'permissions': (View,)},
+                {'id': 'add_faculty',
+                 'name': 'Add Faculty',
+                 'condition': "python:member and 'UniversityManager'in member.getRoles()",
+                 'action'    : 'string:${object/absolute_url}/create_common?type_name=Faculty',
+                 'permissions': (UniversityManage,)},
+                 {'id': 'localroles',
+                 'name': 'delegate',
+                 'action': 'folder_localrole_form',
+                 'permissions': (UniversityManage,),
+                 'visible': False,
+                 },
+                )
+      }
+###)
+
+scratch_card = { ###(
+    'title': 'WAeUP Scratchcard',
+    'description': '',
+    'content_icon': 'student.gif',
+    'content_meta_type': 'Scratch Card',
+    'product': 'CPSDocument',
+    'factory': 'addCPSDocument',
+    'immediate_view': 'cpsdocument_view',
+    'global_allow': True,
+    'filter_content_types': True,
+    'allowed_content_types': (),
+    'allow_discussion': False,
+    'cps_is_searchable': True,
+    'cps_proxy_type': 'document',
+    'cps_display_as_document_in_listing': True,
+    'schemas': ('scratch_card'),
+    'layouts': ('scratch_card'),
+    'cps_workspace_wf': 'waeup_workspace_wf',
+    'cps_section_wf': 'waeup_section_wf',
+##    'actions': (
+##         {'id': 'view',
+##          'name': 'Standard View',
+##          'action': 'string:${object_url}/document_view',
+##          'condition': '',
+##          'permission': ('View',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'new_content',
+##          'name': 'Add a scratch card',
+##          'action': 'string:${object_url}/folder_factories',
+##          'condition': "python:len(object.contentItems()) == 0 ",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'contents',
+##          'name': 'action_folder_contents',
+##          'action': 'string:${object_url}/folder_contents',
+##          'condition': "python:object.getTypeInfo().cps_proxy_type != 'document'",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'edit',
+##          'name': 'action_edit',
+##          'action': 'string:${object_url}/cpsdocument_edit_form',
+##          'condition': '',
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##    )
+}
+#
+###)
+
 students_folder_type = { ###(
     'title': 'WAeUP Student Folder',
@@ -116,6 +209,6 @@
                 {
                 'id'        : 'admission_list',
-                'name'      : 'Clearence Elegibility Process',
-                'action'    : 'string:${object/absolute_url}/clearence',
+                'name'      : 'Clearance Eligibility Process',
+                'action'    : 'string:${object/absolute_url}/clearance',
                 'condition':  'object/portal_membership/isAnonymousUser',
                 'permission': (View,)},
@@ -152,97 +245,4 @@
 ###)
 
-academics_folder_type = { ###(
-    'title': 'WAeUP Academics Folder',
-    'description': 'The WAeUP Academics Folder',
-    'content_icon': '',
-    'content_meta_type': 'AcademicsFolder',
-    'product': 'CPSDefault',
-    'factory': 'addFolder',
-    'immediate_view': 'folder_view',
-    'global_allow': 1,
-    'filter_content_types': 1,
-    'allowed_content_types': ('Faculty',),
-    'allow_discussion': 0,
-    'cps_is_searchable': 1,
-    'cps_display_as_document_in_listing': 1,
-    'cps_proxy_type': 'folder',
-    'schemas': ['metadata', 'common', 'folder'],
-    'layouts': ['waeup_common','folder'],
-    'layout_clusters': ['metadata:metadata'],
-    'cps_section_wf': 'waeup_section_wf',
-    'actions': ({'id': 'view',
-                 'name': 'Standard View',
-                 #'action': 'academics_view',
-                 'action': 'temporary_view_all',
-                 'condition': "",
-                 'permissions': (View,)},
-                {'id': 'add_faculty',
-                 'name': 'Add Faculty',
-                 'condition': "python:member and 'UniversityManager'in member.getRoles()",
-                 'action'    : 'string:${object/absolute_url}/create_common?type_name=Faculty',
-                 'permissions': (UniversityManage,)},
-                 {'id': 'localroles',
-                 'name': 'delegate',
-                 'action': 'folder_localrole_form',
-                 'permissions': (UniversityManage,),
-                 'visible': False,
-                 },
-                )
-      }
-###)
-
-scratch_card = { ###(
-    'title': 'WAeUP Scratchcard',
-    'description': '',
-    'content_icon': 'student.gif',
-    'content_meta_type': 'Scratch Card',
-    'product': 'CPSDocument',
-    'factory': 'addCPSDocument',
-    'immediate_view': 'cpsdocument_view',
-    'global_allow': True,
-    'filter_content_types': True,
-    'allowed_content_types': (),
-    'allow_discussion': False,
-    'cps_is_searchable': True,
-    'cps_proxy_type': 'document',
-    'cps_display_as_document_in_listing': True,
-    'schemas': ('scratch_card'),
-    'layouts': ('scratch_card'),
-    'cps_workspace_wf': 'waeup_workspace_wf',
-    'cps_section_wf': 'waeup_section_wf',
-##    'actions': (
-##         {'id': 'view',
-##          'name': 'Standard View',
-##          'action': 'string:${object_url}/document_view',
-##          'condition': '',
-##          'permission': ('View',),
-##          'category': 'object',
-##          'visible': True,},
-##         {'id': 'new_content',
-##          'name': 'Add a scratch card',
-##          'action': 'string:${object_url}/folder_factories',
-##          'condition': "python:len(object.contentItems()) == 0 ",
-##          'permission': ('Modify portal content',),
-##          'category': 'object',
-##          'visible': True,},
-##         {'id': 'contents',
-##          'name': 'action_folder_contents',
-##          'action': 'string:${object_url}/folder_contents',
-##          'condition': "python:object.getTypeInfo().cps_proxy_type != 'document'",
-##          'permission': ('Modify portal content',),
-##          'category': 'object',
-##          'visible': True,},
-##         {'id': 'edit',
-##          'name': 'action_edit',
-##          'action': 'string:${object_url}/cpsdocument_edit_form',
-##          'condition': '',
-##          'permission': ('Modify portal content',),
-##          'category': 'object',
-##          'visible': True,},
-##    )
-}
-#
-###)
-
 student_type = { ###(
     'title': 'WAeUP Student',
@@ -271,5 +271,5 @@
           #'action': 'string:${object_url}/student_index_html',
           'action': 'string:${object_url}/temporary_view_all',
-          'condition':  "python:object.getContent().memberIsOwner() or 'UniversityManager'in member.getRoles()",
+          'condition':  "python:object.getContent().memberIsOwner() or (member and 'UniversityManager'in member.getRoles())",
           'permission': (View,),
           'category': 'object',
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py	(revision 172)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py	(revision 173)
@@ -76,4 +76,16 @@
 vocabularies['faculties'] = faculties
 ###)
+get_faculties_voc = { ###(
+        'type': 'CPS Method Vocabulary',
+        'data': {'get_vocabulary_method': 'get_faculties_voc',}
+        }
+vocabularies['get_faculties_voc'] = get_faculties_voc
+###)
+get_departments_voc = { ###(
+        'type': 'CPS Method Vocabulary',
+        'data': {'get_vocabulary_method': 'get_departments_voc',}
+        }
+vocabularies['get_departments_voc'] = get_departments_voc
+###)
 
 level = { ###(
Index: /waeup_product/trunk/skins/waeup_faculty/get_departments_voc.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/get_departments_voc.py	(revision 173)
+++ /waeup_product/trunk/skins/waeup_faculty/get_departments_voc.py	(revision 173)
@@ -0,0 +1,17 @@
+##parameters=key=None
+# $Id$
+"""
+Return the faculties as an vocabulary
+
+"""
+academics = context.sections.portal.academics
+faculties = [f for f in context.filterContents(items=academics.contentValues()) if f.portal_type == 'Faculty']
+
+deplist = []
+for faculty in faculties:
+    departments = [d for d in context.filterContents(items=faculty.contentValues()) if d.portal_type == 'Department']
+    deplist.extend(departments)
+if key is None:
+    return [(d.getId(),d.title_or_id(),) for d in deplist]
+return [d.title_or_id() for d in deplist if d.getId() == key][0]
+return [(d.getId(),d.title_or_id()) for d in deplist if d.getId() == key]
Index: /waeup_product/trunk/skins/waeup_faculty/get_faculties_voc.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/get_faculties_voc.py	(revision 173)
+++ /waeup_product/trunk/skins/waeup_faculty/get_faculties_voc.py	(revision 173)
@@ -0,0 +1,13 @@
+##parameters=key=None 
+# $Id$
+"""
+Return the faculties as an vocabulary
+
+"""
+academics = context.sections.portal.academics
+items = [i for i in context.filterContents(items=academics.contentValues()) if i.portal_type == 'Faculty']
+if key is None:
+    return [(f.getId(),f.title_or_id(),) for f in items]
+return [f.title_or_id() for f in items if f.getId() == key][0]
+return [(f.getId(),f.title_or_id()) for f in items if f.getId() == key]
+
Index: /waeup_product/trunk/skins/waeup_student/check_admission.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/check_admission.py	(revision 172)
+++ /waeup_product/trunk/skins/waeup_student/check_admission.py	(revision 173)
@@ -60,4 +60,4 @@
                                schema_id = 'jamb')
 
-return jamb.admission_slip_form(rendered = res, dict = ds)
+return context.admission_slip_form(rendered = res, dict = ds)
 
Index: /waeup_product/trunk/skins/waeup_student/clearance.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/clearance.py	(revision 173)
+++ /waeup_product/trunk/skins/waeup_student/clearance.py	(revision 173)
@@ -0,0 +1,66 @@
+##parameters=REQUEST
+# $Id$
+"""
+process the Admission Form
+return html renderer + psm
+"""
+import DateTime
+current = DateTime.DateTime()
+
+
+type_name = 'Jamb'
+ti = context.portal_types[type_name]
+
+REQUEST.set('type_name',type_name)
+
+validate = REQUEST.has_key("cpsdocument_edit_button")
+
+
+lt = context.portal_layouts
+pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'clearence',
+                      schema_id= 'student_clearence',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      action = "clearance",
+                      submit = "submit",
+                      )
+
+if psm == 'invalid':
+    return context.clearance_form(rendered = res,
+                                 psm = "Please correct your input",
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.clearance_form(rendered = res,
+                                 psm = None,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    s_id = "s%s" % ds.get('jamb_id')
+    catalog = context.portal_catalog
+    search = catalog(SearchableText = "%s*" % s_id)
+    if len(search) < 1:
+        psm = "Your not admitted"
+        return context.clearance_form(rendered = res,
+                                 psm = psm,
+                                 ds = ds,
+                                 )
+    sf = getattr(context,s_id,None)
+    if sf and getattr(sf,'PERSONAL',None):
+        psm = "Your already admitted, please login"
+        return context.clearance_form(rendered = res,
+                                 psm = psm,
+                                 ds = ds,
+                                 )
+    rset = REQUEST.set
+    student = getattr(context,s_id)
+    ds.set('sc_date',current)
+    student.getContent().setScratchCardData('clearance',ds)
+    sc_pin =  ds.get('sc_pin')
+    #return REQUEST.RESPONSE.redirect("%s/logged_in?__ac_name=%s&__ac_password=UnSeT&sc_pin=%s" 
+    return REQUEST.RESPONSE.redirect("%s/logged_in?__ac_name=%s&__ac_password=123456&sc_pin=%s" 
+                                    % (context.absolute_url(),s_id,sc_pin))
Index: /waeup_product/trunk/skins/waeup_student/clearance_form.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/clearance_form.pt	(revision 173)
+++ /waeup_product/trunk/skins/waeup_student/clearance_form.pt	(revision 173)
@@ -0,0 +1,30 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   jamb options/jamb/getContent|nothing;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h1>Clearance and Eligibility Processing </h1>
+        <div tal:replace="structure rendered_main" />
+          Instructions :<br />
+          <ul>
+            <li>Buy a Clearance Scratch Card </li> 
+            <li>Enter the PIN here </li> 
+            <li>Proceed to the Clearance Eligibility Online Form and fill your O/L details </li> 
+            <li>Proceed to the Univesity with all original documents for clearance to finalize the clearance process</li>
+          </ul>
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: eup_product/trunk/skins/waeup_student/clearence.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/clearence.py	(revision 172)
+++ 	(revision )
@@ -1,65 +1,0 @@
-##parameters=REQUEST
-# $Id$
-"""
-process the Admission Form
-return html renderer + psm
-"""
-import DateTime
-current = DateTime.DateTime()
-
-
-type_name = 'Jamb'
-ti = context.portal_types[type_name]
-
-REQUEST.set('type_name',type_name)
-
-validate = REQUEST.has_key("cpsdocument_edit_button")
-
-
-lt = context.portal_layouts
-pr = context.portal_registration
-
-res,psm,ds = lt.renderLayout(layout_id= 'clearence',
-                      schema_id= 'student_clearence',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      action = "clearence",
-                      submit = "submit",
-                      )
-
-if psm == 'invalid':
-    return context.clearence_form(rendered = res,
-                                 psm = "Please correct your input",
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.clearence_form(rendered = res,
-                                 psm = None,
-                                 ds = ds,
-                                 )
-elif psm == 'valid':
-    s_id = "s%s" % ds.get('jamb_id')
-    catalog = context.portal_catalog
-    search = catalog(SearchableText = "%s*" % s_id)
-    if len(search) < 1:
-        psm = "Your not admitted"
-        return context.clearence_form(rendered = res,
-                                 psm = psm,
-                                 ds = ds,
-                                 )
-    sf = getattr(context,s_id,None)
-    if sf and getattr(sf,'PERSONAL',None):
-        psm = "Your already admitted, please login"
-        return context.clearence_form(rendered = res,
-                                 psm = psm,
-                                 ds = ds,
-                                 )
-    rset = REQUEST.set
-    student = getattr(context,s_id)
-    ds.set('sc_date',current)
-    student.getContent().setScratchCardData('clearence',ds)
-    sc_pin =  ds.get('sc_pin')
-    return REQUEST.RESPONSE.redirect("%s/logged_in?__ac_name=%s&__ac_password=UnSeT&sc_pin=%s" 
-                                    % (context.absolute_url(),s_id,sc_pin))
Index: eup_product/trunk/skins/waeup_student/clearence_form.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/clearence_form.pt	(revision 172)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   jamb options/jamb/getContent|nothing;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-      <metal:block fill-slot="main">
-        <h1>Clearence and Eligibility Processing </h1>
-        <div tal:replace="structure rendered_main" />
-          Instructions :<br />
-          <ul>
-            <li>Buy a Clearance Scratch Card </li> 
-            <li>Enter the PIN here </li> 
-            <li>Proceed to the Clearance Eligibility Online Form and fill your O/L details </li> 
-            <li>Proceed to the Univesity with all original documents for clearance to finalize the clearance process</li>
-          </ul>
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: /waeup_product/trunk/skins/waeup_student/create_jamb.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/create_jamb.py	(revision 172)
+++ /waeup_product/trunk/skins/waeup_student/create_jamb.py	(revision 173)
@@ -51,9 +51,11 @@
     noCPSMember = False
     try:
-        pr.addMember(s_id, 'UnSeT',roles=('Member','CPSMember','Student','Contributor'))
+        #pr.addMember(s_id, 'UnSeT',roles=('Member','CPSMember','Student','Contributor'))
+        pr.addMember(s_id, '123456',roles=('Member','CPSMember','Student','Contributor'))
     except:
         noCPSMember = True
     if noCPSMember:
-        pr.addMember(s_id, 'UnSeT',roles=('Member','Student','Contributor'))
+        #pr.addMember(s_id, 'UnSeT',roles=('Member','Student','Contributor'))
+        pr.addMember(s_id, '123456',roles=('Member','Student','Contributor'))
     student.manage_setLocalRoles(s_id, ['Owner'])
     jamb.manage_setLocalRoles(s_id, ['Owner'])
Index: /waeup_product/trunk/skins/waeup_student/eligibility.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/eligibility.py	(revision 172)
+++ /waeup_product/trunk/skins/waeup_student/eligibility.py	(revision 173)
@@ -44,8 +44,10 @@
     s_personal = context.PERSONAL.getContent()
     s_personal.edit(mapping={'email': ds.get('email')})
-    pm.setPassword(REQUEST.get("widget__pw"))
-    
+    #pw = REQUEST.get("widget__pw")
+    #pm.setPassword(pw)
+psm = 'Email hay been successfully set.'
+#psm += 'please <a href="login_form">Login</a> with username %s and password %s' % (context.getId(),pw)
 return context.eligibility_form(rendered = res,
-                                 psm = 'Password and Email have been successfully set',
+                                 psm = psm,
                                  ds = ds,
                                  )