Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 173)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 175)
@@ -341,6 +341,5 @@
                 'size_min': 5,
             },
-        }
-###)
+        }###)
 
 rpw = { ###(
@@ -364,5 +363,6 @@
                 'size_min': 5,
                 },
-            }
+            }###)
+
 username_hidden = { ###(
             'type': 'String Widget',
@@ -709,78 +709,78 @@
             },
         },###)
-        'clearence_sc_id': { ###(
+        'clearance_sc_id': { ###(
             'type': 'String Widget',
             'data': {
-                'title': 'Clearence SC ID',
-                'fields': ('clearence_sc_id',),
-                'is_required': False,
-                'label': 'Clearence SC ID',
-                'label_edit': 'Clearence SC ID',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'css_class': '',
-                'widget_mode_expr': '',
-                'display_width': 10,
-                'size_max': 0,
-            },
-        },###)
-        'clearence_sc_pin': { ###(
+                'title': 'Clearance SC ID',
+                'fields': ('clearance_sc_id',),
+                'is_required': False,
+                'label': 'Clearance SC ID',
+                'label_edit': 'Clearance SC ID',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            },
+        },###)
+        'clearance_sc_pin': { ###(
             'type': 'String Widget',
             'data': {
-                'title': 'clearence SC Pin',
-                'fields': ('clearence_sc_pin',),
-                'is_required': False,
-                'label': 'Clearence SC Pin',
-                'label_edit': 'Clearence SC Pin',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'css_class': '',
-                'widget_mode_expr': '',
-                'display_width': 10,
-                'size_max': 0,
-            },
-        },###)
-        'clearence_sc_value': { ###(
+                'title': 'clearance SC Pin',
+                'fields': ('clearance_sc_pin',),
+                'is_required': False,
+                'label': 'Clearance SC Pin',
+                'label_edit': 'Clearance SC Pin',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            },
+        },###)
+        'clearance_sc_value': { ###(
             'type': 'Float Widget',
             'data': {
-                'title': 'clearence SC Value',
-                'fields': ('clearence_sc_value',),
-                'is_required': False,
-                'label': 'Clearence SC Value',
-                'label_edit': 'Clearence SC Value',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'css_class': '',
-                'widget_mode_expr': '',
-                'display_width': 10,
-                'size_max': 0,
-            },
-        },###)
-        'clearence_date': { ###(
+                'title': 'clearance SC Value',
+                'fields': ('clearance_sc_value',),
+                'is_required': False,
+                'label': 'Clearance SC Value',
+                'label_edit': 'Clearance SC Value',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            },
+        },###)
+        'clearance_date': { ###(
             'type': 'DateTime Widget',
             'data': {
-                'title': 'clearence SC Pin',
-                'fields': ('clearence_date',),
-                'is_required': False,
-                'label': 'Clearence SC Date',
-                'label_edit': 'Clearence SC Date',
+                'title': 'clearance SC Pin',
+                'fields': ('clearance_date',),
+                'is_required': False,
+                'label': 'Clearance SC Date',
+                'label_edit': 'Clearance SC Date',
                 'description': '',
                 'help': '',
@@ -807,8 +807,8 @@
             [{'widget_id': 'adm_check_sc_value', 'ncols': 1},],
             [{'widget_id': 'adm_check_date', 'ncols': 1},],
-            [{'widget_id': 'clearence_sc_id', 'ncols': 1},],
-            [{'widget_id': 'clearence_sc_pin', 'ncols': 1},],
-            [{'widget_id': 'clearence_sc_value', 'ncols': 1},],
-            [{'widget_id': 'clearence_date', 'ncols': 1},],
+            [{'widget_id': 'clearance_sc_id', 'ncols': 1},],
+            [{'widget_id': 'clearance_sc_pin', 'ncols': 1},],
+            [{'widget_id': 'clearance_sc_value', 'ncols': 1},],
+            [{'widget_id': 'clearance_date', 'ncols': 1},],
             [{'widget_id': 'accommodation', 'ncols': 1},],
             [{'widget_id': 'accommodation_sc_id', 'ncols': 1},],
@@ -1220,5 +1220,5 @@
 ###)
 
-clearence = { ###(
+clearance = { ###(
     'widgets': {
         'sc_id': {
@@ -2233,5 +2233,5 @@
 layouts['scratch_card'] = scratch_card
 layouts['admission'] = admission
-layouts['clearence'] = clearence
+layouts['clearance'] = clearance
 layouts['admission_slip'] = admission_slip
 layouts['jambcreate'] = jamb_layoutcreate
Index: waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 173)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 175)
@@ -158,8 +158,8 @@
         },
     }, 
-    'clearence_sc_id' : sc_id, 
-    'clearence_sc_pin' : sc_pin, 
-    'clearence_sc_value' : sc_value, 
-    'clearence_date' : {
+    'clearance_sc_id' : sc_id, 
+    'clearance_sc_pin' : sc_pin, 
+    'clearance_sc_value' : sc_value, 
+    'clearance_date' : {
         'type': 'CPS DateTime Field',
         'data': {
@@ -324,5 +324,5 @@
 ###)
 
-student_clearence = { ###(
+student_clearance = { ###(
     'sc_id': sc_id,
     'sc_pin': sc_pin,
@@ -879,5 +879,5 @@
 schemas['student'] = student_schema
 schemas['student_admission'] = student_admission
-schemas['student_clearence'] = student_clearence
+schemas['student_clearance'] = student_clearance
 schemas['student_documents'] = student_documents
 schemas['student_eligibility'] = student_eligibility