Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 176)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 177)
@@ -36,5 +36,5 @@
                 'is_required': 1,
                 'label_edit': 'Headline',
-                'help': 'a short headline',
+                'help': 'a Short Headline',
                 'display_width': 40,
                 'size_max': 200,
@@ -49,5 +49,5 @@
                 'label_edit': 'Text',
                 'label': 'Text',
-                'help': 'a short Description',
+                'help': 'a Short Description',
                 'css_class': 'description',
                 'width': 72,
@@ -96,11 +96,11 @@
 
 sc_pin = { ###(
-         'type': 'Scratchcard Pin Widget',
+         'type': 'Scratchcard PIN Widget',
          'data': {
-                'title': 'SC Pin',
+                'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
                 'label': 'enter  PIN',
-                'label_edit': 'enter an Accommodation PIN',
+                'label_edit': 'Enter an Accommodation PIN',
                 'description': '',
                 'help': 'Please enter a PIN valid for Accomodation booking',
@@ -211,5 +211,5 @@
                 'label_edit': 'First Name',
                 'description': 'First Name',
-                'help': 'First name',
+                'help': 'First Name',
                 'is_i18n': False,
                 'display_width': 40,
@@ -228,5 +228,5 @@
                 'label_edit': 'Middle Name',
                 'description': '',
-                'help': 'middle name',
+                'help': 'Middle Name',
                 'is_i18n': False,
                 'readonly_layout_modes': (),
@@ -278,5 +278,5 @@
                 'label_edit': 'Email',
                 'description': 'First Name',
-                'help': 'First name',
+                'help': 'Email Address',
                 'is_i18n': False,
                 'display_width': 40,
@@ -321,5 +321,5 @@
                 'label_edit': 'New Password',
                 'description': '',
-                'help': 'enter a new Password',
+                'help': 'Enter a New Password',
                 'is_i18n': 0,
                 'readonly_layout_modes': [],
@@ -352,5 +352,5 @@
                 'label_edit': 'Confirm Password',
                 'description': '',
-                'help': 'confirm the new Password',
+                'help': 'Confirm the New Password',
                 'is_i18n': False,
                 'display_width': 12,
@@ -470,9 +470,9 @@
             'type': 'String Widget',
             'data': {
-                'title': 'Accommodation SC Pin',
+                'title': 'Accommodation SC PIN',
                 'fields': ('accommodation_sc_pin',),
                 'is_required': False,
-                'label': 'Accommodation SC Pin',
-                'label_edit': 'Accommodation SC Pin',
+                'label': 'Accommodation SC PIN',
+                'label_edit': 'Accommodation SC PIN',
                 'description': '',
                 'help': '',
@@ -514,5 +514,5 @@
             'type': 'DateTime Widget',
             'data': {
-                'title': 'Accommodation SC Pin',
+                'title': 'Accommodation SC PIN',
                 'fields': ('accommodation_date',),
                 'is_required': False,
@@ -558,9 +558,9 @@
             'type': 'String Widget',
             'data': {
-                'title': 'hostel_fee SC Pin',
+                'title': 'hostel_fee SC PIN',
                 'fields': ('hostel_fee_sc_pin',),
                 'is_required': False,
-                'label': 'Hostel Fee SC Pin',
-                'label_edit': 'Hostel Fee SC Pin',
+                'label': 'Hostel Fee SC PIN',
+                'label_edit': 'Hostel Fee SC PIN',
                 'description': '',
                 'help': '',
@@ -602,5 +602,5 @@
             'type': 'DateTime Widget',
             'data': {
-                'title': 'hostel_fee SC Pin',
+                'title': 'hostel_fee SC PIN',
                 'fields': ('hostel_fee_date',),
                 'is_required': False,
@@ -646,9 +646,9 @@
             'type': 'String Widget',
             'data': {
-                'title': 'Admission check SC Pin',
+                'title': 'Admission check SC PIN',
                 'fields': ('adm_check_sc_pin',),
                 'is_required': False,
-                'label': 'Admission check SC Pin',
-                'label_edit': 'Admission check SC Pin',
+                'label': 'Admission check SC PIN',
+                'label_edit': 'Admission check SC PIN',
                 'description': '',
                 'help': '',
@@ -690,5 +690,5 @@
             'type': 'DateTime Widget',
             'data': {
-                'title': 'Admission check SC Pin',
+                'title': 'Admission check SC PIN',
                 'fields': ('adm_check_date',),
                 'is_required': False,
@@ -734,9 +734,9 @@
             'type': 'String Widget',
             'data': {
-                'title': 'clearance SC Pin',
+                'title': 'clearance SC PIN',
                 'fields': ('clearance_sc_pin',),
                 'is_required': False,
-                'label': 'Clearance SC Pin',
-                'label_edit': 'Clearance SC Pin',
+                'label': 'Clearance SC PIN',
+                'label_edit': 'Clearance SC PIN',
                 'description': '',
                 'help': '',
@@ -778,5 +778,5 @@
             'type': 'DateTime Widget',
             'data': {
-                'title': 'clearance SC Pin',
+                'title': 'clearance SC PIN',
                 'fields': ('clearance_date',),
                 'is_required': False,
@@ -1079,13 +1079,13 @@
         },
         'sc_pin': {
-            'type': 'Scratchcard Pin Widget',
-            'data': {
-                'title': 'SC Pin',
+            'type': 'Scratchcard PIN Widget',
+            'data': {
+                'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
-                'label': 'Scratchcard Pin',
-                'label_edit': 'Scratchcard Pin',
-                'description': '',
-                'help': 'Please enter a valid Scratch card pin',
+                'label': 'Scratchcard PIN',
+                'label_edit': 'Scratchcard PIN',
+                'description': '',
+                'help': 'Enter a Valid Scratch Card PIN',
                 'is_i18n': False,
                 'readonly_layout_modes': (),
@@ -1185,7 +1185,7 @@
         },###)
         'sc_pin': {
-            'type': 'Scratchcard Pin Widget',
-            'data': {
-                'title': 'SC Pin',
+            'type': 'Scratchcard PIN Widget',
+            'data': {
+                'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
@@ -1247,7 +1247,7 @@
         },
         'sc_pin': {
-            'type': 'Scratchcard Pin Widget',
-            'data': {
-                'title': 'SC Pin',
+            'type': 'Scratchcard PIN Widget',
+            'data': {
+                'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
@@ -1376,5 +1376,5 @@
                 'label_edit': 'Registration Nr',
                 'description': 'The student id from JAMB',
-                'help': 'The student id from JAMB',
+                'help': 'The Student ID from JAMB',
                 'is_i18n': False,
                 'display_width': 10,
@@ -1480,5 +1480,5 @@
                 'label_edit': 'Study Course',
                 'description': '',
-                'help': 'The course to study',
+                'help': '',
                 'vocabulary': 'get_departments_voc',
                 'is_i18n': False,
@@ -1898,5 +1898,5 @@
                 'label_edit': 'Nr of Blocks',
                 'description': '',
-                'help': 'Number of blocks',
+                'help': '',
                 'is_i18n': False,
                 'vocabulary': 'range10',
@@ -1912,5 +1912,5 @@
                 'label_edit': 'Nr of Floors',
                 'description': '',
-                'help': 'Number of floors per block',
+                'help': '',
                 'is_i18n': False,
                 'vocabulary': 'range5',
@@ -1926,5 +1926,5 @@
                 'label_edit': 'Rooms per Floor',
                 'description': '',
-                'help': 'Number of rooms per floor',
+                'help': '',
                 'is_i18n': False,
                 'vocabulary': 'range50',
@@ -1940,5 +1940,5 @@
                 'label_edit': 'Beds per Room',
                 'description': '',
-                'help': 'Number of beds per room',
+                'help': '',
                 'is_i18n': False,
                 'vocabulary': 'range10',
@@ -2003,7 +2003,7 @@
         },###)
       'sc_pin': { ###(
-         'type': 'Scratchcard Pin Widget',
+         'type': 'Scratchcard PIN Widget',
          'data': {
-                'title': 'SC Pin',
+                'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
@@ -2084,7 +2084,7 @@
         },###)
     'sc_pin': { ###(
-         'type': 'Scratchcard Pin Widget',
+         'type': 'Scratchcard PIN Widget',
          'data': {
-                'title': 'SC Pin',
+                'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
@@ -2092,5 +2092,5 @@
                 'label_edit': 'enter an Accommodation PIN',
                 'description': '',
-                'help': 'Please enter a PIN valid for Accomodation booking',
+                'help': 'Please enter a PIN valid for Accomodation Booking',
                 'is_i18n': False,
                 'readonly_layout_modes': (),
@@ -2166,7 +2166,7 @@
         },###)
     'sc_pin': { ###(
-         'type': 'Scratchcard Pin Widget',
+         'type': 'Scratchcard PIN Widget',
          'data': {
-                'title': 'SC Pin',
+                'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
@@ -2174,5 +2174,5 @@
                 'label_edit': 'enter an Hostel payment PIN',
                 'description': '',
-                'help': 'Please enter a PIN valid for paying hostel fee',
+                'help': 'Please enter a PIN valid for Paying Hostel Fee',
                 'is_i18n': False,
                 'readonly_layout_modes': (),