Index: /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 177)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 178)
@@ -36,5 +36,5 @@
                 'is_required': 1,
                 'label_edit': 'Headline',
-                'help': 'a Short Headline',
+                'help': 'Short Headline',
                 'display_width': 40,
                 'size_max': 200,
@@ -49,5 +49,5 @@
                 'label_edit': 'Text',
                 'label': 'Text',
-                'help': 'a Short Description',
+                'help': 'Short Description',
                 'css_class': 'description',
                 'width': 72,
@@ -96,5 +96,5 @@
 
 sc_pin = { ###(
-         'type': 'Scratchcard PIN Widget',
+         'type': 'Scratchcard Pin Widget',
          'data': {
                 'title': 'SC PIN',
@@ -211,5 +211,5 @@
                 'label_edit': 'First Name',
                 'description': 'First Name',
-                'help': 'First Name',
+                'help': '',
                 'is_i18n': False,
                 'display_width': 40,
@@ -228,5 +228,5 @@
                 'label_edit': 'Middle Name',
                 'description': '',
-                'help': 'Middle Name',
+                'help': '',
                 'is_i18n': False,
                 'readonly_layout_modes': (),
@@ -253,5 +253,5 @@
                 'label_edit': 'Surname',
                 'description': '',
-                'help': 'Surname',
+                'help': '',
                 'is_i18n': False,
                 'readonly_layout_modes': (),
@@ -277,6 +277,6 @@
                 'label': 'Email',
                 'label_edit': 'Email',
-                'description': 'First Name',
-                'help': 'Email Address',
+                'description': '',
+                'help': '',
                 'is_i18n': False,
                 'display_width': 40,
@@ -1079,13 +1079,13 @@
         },
         'sc_pin': {
-            'type': 'Scratchcard PIN Widget',
+            'type': 'Scratchcard Pin Widget',
             'data': {
                 'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
-                'label': 'Scratchcard PIN',
-                'label_edit': 'Scratchcard PIN',
-                'description': '',
-                'help': 'Enter a Valid Scratch Card PIN',
+                'label': 'Scratchcard Pin',
+                'label_edit': 'Scratchcard Pin',
+                'description': '',
+                'help': '',
                 'is_i18n': False,
                 'readonly_layout_modes': (),
@@ -1185,5 +1185,5 @@
         },###)
         'sc_pin': {
-            'type': 'Scratchcard PIN Widget',
+            'type': 'Scratchcard Pin Widget',
             'data': {
                 'title': 'SC PIN',
@@ -1247,5 +1247,5 @@
         },
         'sc_pin': {
-            'type': 'Scratchcard PIN Widget',
+            'type': 'Scratchcard Pin Widget',
             'data': {
                 'title': 'SC PIN',
@@ -1954,5 +1954,5 @@
                 'label_edit': 'Assigned Beds',
                 'description': '',
-                'help': 'Number of beds already assined to students',
+                'help': 'Number of beds already assigned to students',
                 'is_i18n': False,
             },
@@ -2003,13 +2003,13 @@
         },###)
       'sc_pin': { ###(
-         'type': 'Scratchcard PIN Widget',
+         'type': 'Scratchcard Pin Widget',
          'data': {
                 'title': 'SC PIN',
                 'fields': ('sc_pin'),
                 'is_required': True,
-                'label': 'enter  PIN',
-                'label_edit': 'enter Scratchcard PIN with the value above',
-                'description': '',
-                'help': 'Please enter a Scratchcard PIN valid for Registration of next level',
+                'label': 'Enter  PIN',
+                'label_edit': 'Enter Scratchcard Pin with the value above',
+                'description': '',
+                'help': 'Please enter a Scratchcard Pin valid for Registration of Next Level',
                 'is_i18n': False,
                 'readonly_layout_modes': (),
@@ -2084,5 +2084,5 @@
         },###)
     'sc_pin': { ###(
-         'type': 'Scratchcard PIN Widget',
+         'type': 'Scratchcard Pin Widget',
          'data': {
                 'title': 'SC PIN',
@@ -2090,7 +2090,7 @@
                 'is_required': True,
                 'label': 'enter  PIN',
-                'label_edit': 'enter an Accommodation PIN',
-                'description': '',
-                'help': 'Please enter a PIN valid for Accomodation Booking',
+                'label_edit': 'Enter an Accommodation PIN',
+                'description': '',
+                'help': 'Enter a PIN valid for Accomodation Booking',
                 'is_i18n': False,
                 'readonly_layout_modes': (),
@@ -2166,5 +2166,5 @@
         },###)
     'sc_pin': { ###(
-         'type': 'Scratchcard PIN Widget',
+         'type': 'Scratchcard Pin Widget',
          'data': {
                 'title': 'SC PIN',
@@ -2172,7 +2172,7 @@
                 'is_required': True,
                 'label': 'enter  PIN',
-                'label_edit': 'enter an Hostel payment PIN',
-                'description': '',
-                'help': 'Please enter a PIN valid for Paying Hostel Fee',
+                'label_edit': 'Enter Hostel Payment PIN',
+                'description': '',
+                'help': 'Enter PIN valid for Paying Hostel Fee',
                 'is_i18n': False,
                 'readonly_layout_modes': (),