Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 178)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 179)
@@ -274,5 +274,5 @@
                 'title': 'Email',
                 'fields': ('email',),
-                'is_required': False,
+                'is_required': True,
                 'label': 'Email',
                 'label_edit': 'Email',
@@ -869,164 +869,7 @@
 }###)
 
-student_documents = { ###(
+student_personal_addon = { ###(
     'widgets': {
-        'photo': { ###(
-            'type': 'Photo Widget',
-            'data': {
-                'title': '',
-                'fields': ('photo',),
-                'is_required': False,
-                'label': 'Personal Picture',
-                'label_edit': 'Personal Picture',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'widget_mode_expr': '',
-                'css_class': '',
-                'css_class_expr': '',
-                'javascript_expr': '',
-                'deletable': True,
-                'size_max': 204800,
-                'display_width': 90,
-                'display_height': 180,
-                'allow_resize': True,
-                'render_position': 'left',
-                'configurable': 'nothing',
-                'keep_original': 1,
-            },
-        },###)
-        'birth_certificate': { ###(
-            'type': 'Image Widget',
-            'data': {
-                'title': '',
-                'fields': ('birth_certificate',),
-                'is_required': False,
-                'label': 'Birth Certificate',
-                'label_edit': 'Birth Certificate',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'widget_mode_expr': '',
-                'css_class': '',
-                'css_class_expr': '',
-                'javascript_expr': '',
-                'deletable': True,
-                'size_max': 204800,
-                'display_width': 300,
-                'display_height':600,
-                'allow_resize': True,
-            },
-        },###)
-        'passport': { ###(
-            'type': 'Image Widget',
-            'data': {
-                'title': '',
-                'fields': ('passport',),
-                'is_required': False,
-                'label': 'scanned Passport',
-                'label_edit': 'scanned Passport',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'widget_mode_expr': '',
-                'css_class': '',
-                'css_class_expr': '',
-                'javascript_expr': '',
-                'deletable': True,
-                'size_max': 204800,
-                'display_width': 300,
-                'display_height':600,
-                'allow_resize': True,
-            },
-        },###)
-        'results_first': { ###(
-            'type': 'Image Widget',
-            'data': {
-                'title': '',
-                'fields': ('results_first',),
-                'is_required': False,
-                'label': '1st Sitting Results',
-                'label_edit': '1st Sitting Results',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'widget_mode_expr': '',
-                'css_class': '',
-                'css_class_expr': '',
-                'javascript_expr': '',
-                'deletable': True,
-                'size_max': 204800,
-                'display_width': 300,
-                'display_height':600,
-                'allow_resize': True,
-            },
-        },###)
-        'results_second': { ###(
-            'type': 'Image Widget',
-            'data': {
-                'title': '',
-                'fields': ('results_second',),
-                'is_required': False,
-                'label': '2nd Sitting Results',
-                'label_edit': '2nd Sitting Results',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'widget_mode_expr': '',
-                'css_class': '',
-                'css_class_expr': '',
-                'javascript_expr': '',
-                'deletable': True,
-                'size_max': 40960,
-                'display_width': 300,
-                'display_height':600,
-                'allow_resize': True,
-            },
-        },###)
-    },
-    'layout': {
-        'style_prefix': 'layout_personal_',
-        'flexible_widgets': (),
-        'ncols': 1,
-        'rows': [
-            [{'widget_id': 'photo', 'ncols': 1},],
-            [{'widget_id': 'birth_certificate', 'ncols': 1},],
-            [{'widget_id': 'passport', 'ncols': 1},],
-            [{'widget_id': 'results_first', 'ncols': 1},],
-            [{'widget_id': 'results_second', 'ncols': 1},],
-        ]
-    },
-}
-
-###)
-
-student_eligibility = { ###(
-    'widgets': {
-        'firstname': firstname,
+        'firstname': middlename,
         'middlename': middlename,
         'lastname': lastname,
@@ -1051,5 +894,310 @@
         ]
     },
+}###)
+
+schoolresults = { ###(
+            'type': 'Ordered List Widget',
+            'data': {
+                'title': '',
+                'fields': ['schoolresults'],
+                'is_required': 0,
+                'label': 'School Results',
+                'label_edit': 'School Results',
+                'description': '',
+                'help': '',
+                'is_i18n': 0,
+                'readonly_layout_modes': [],
+                'hidden_layout_modes': [],
+                'hidden_readonly_layout_modes': [],
+                'hidden_empty': 0,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'width': 40,
+                'height': 5,
+                'format_empty': '',
+            },
+        }###)
+
+student_eligibility = { ###(
+    'widgets': {
+        'jamb_results': {
+            'type': 'String Widget',
+            'data': {
+                'title': '',
+                'fields': ('jamb_results',),
+                'is_required': False,
+                'label': 'JAMB Results',
+                'label_edit': 'JAMB Results',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 20,
+                'size_max': 0,
+            },
+        },
+        'jamb_aggregate': {
+            'type': 'Int Widget',
+            'data': {
+                'title': 'Agregate',
+                'fields': ('jamb_aggregate',),
+                'is_required': False,
+                'label': 'Score',
+                'label_edit': 'Score',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+            },
+        },
+        'jamb_listing_date': {
+            'type': 'Date Widget',
+            'data': {
+                'title': 'Listing Date',
+                'fields': ('jamb_listing_date',),
+                'is_required': False,
+                'label': 'Listing Date',
+                'label_edit': 'Listing Date',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 3,
+                'size_max': 0,
+            },
+        },
+        'faculty': {
+            'type': 'Select Widget',
+            'data': {
+                'title': 'Faculty',
+                'fields': ('faculty',),
+                'is_required': True,
+                'label': 'Faculty',
+                'label_edit': 'Faculty',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'vocabulary': 'get_faculties_voc',
+            },
+        },
+        'course': {
+            'type': 'Select Widget',
+            'data': {
+                'title': 'Study Course',
+                'fields': ('course',),
+                'is_required': True,
+                'label': 'Study Course',
+                'label_edit': 'Study Course',
+                'description': '',
+                'help': 'The course to study',
+                'vocabulary': 'get_departments_voc',
+                'is_i18n': False,
+            },
+        },
+        'schoolresults': schoolresults,
+    },
+    'layout': {
+        'style_prefix': 'layout_waeup_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [
+            [{'widget_id': 'jamb_results', 'ncols': 1},],
+            [{'widget_id': 'jamb_aggregate', 'ncols': 1},],
+            [{'widget_id': 'jamb_listing_date', 'ncols': 1},],
+            [{'widget_id': 'faculty', 'ncols': 1},],
+            [{'widget_id': 'course', 'ncols': 1},],
+            [{'widget_id': 'schoolresults', 'ncols': 1},],
+        ]
+    },
+}###)
+
+student_schoolresults = { ###(
+    'widgets': {
+        'schoolresults': schoolresults,
+    },
+    'layout': {
+        'style_prefix': 'layout_results_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [
+            #[{'widget_id': 'jamb_results', 'ncols': 1},],
+            #[{'widget_id': 'jamb_aggregate', 'ncols': 1},],
+            #[{'widget_id': 'jamb_listing_date', 'ncols': 1},],
+            #[{'widget_id': 'faculty', 'ncols': 1},],
+            #[{'widget_id': 'course', 'ncols': 1},],
+            [{'widget_id': 'schoolresults', 'ncols': 1},],
+        ]
+    },
+}###)
+
+student_documents = { ###(
+    'widgets': {
+        'photo': { ###(
+            'type': 'Photo Widget',
+            'data': {
+                'title': '',
+                'fields': ('photo',),
+                'is_required': False,
+                'label': 'Personal Picture',
+                'label_edit': 'Personal Picture',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'deletable': True,
+                'size_max': 204800,
+                'display_width': 90,
+                'display_height': 180,
+                'allow_resize': True,
+                'render_position': 'left',
+                'configurable': 'nothing',
+                'keep_original': 1,
+            },
+        },###)
+        'birth_certificate': { ###(
+            'type': 'Image Widget',
+            'data': {
+                'title': '',
+                'fields': ('birth_certificate',),
+                'is_required': False,
+                'label': 'Birth Certificate',
+                'label_edit': 'Birth Certificate',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'deletable': True,
+                'size_max': 204800,
+                'display_width': 300,
+                'display_height':600,
+                'allow_resize': True,
+            },
+        },###)
+        'passport': { ###(
+            'type': 'Image Widget',
+            'data': {
+                'title': '',
+                'fields': ('passport',),
+                'is_required': False,
+                'label': 'scanned Passport',
+                'label_edit': 'scanned Passport',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'deletable': True,
+                'size_max': 204800,
+                'display_width': 300,
+                'display_height':600,
+                'allow_resize': True,
+            },
+        },###)
+        'results_first': { ###(
+            'type': 'Image Widget',
+            'data': {
+                'title': '',
+                'fields': ('results_first',),
+                'is_required': False,
+                'label': '1st Sitting Results',
+                'label_edit': '1st Sitting Results',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'deletable': True,
+                'size_max': 204800,
+                'display_width': 300,
+                'display_height':600,
+                'allow_resize': True,
+            },
+        },###)
+        'results_second': { ###(
+            'type': 'Image Widget',
+            'data': {
+                'title': '',
+                'fields': ('results_second',),
+                'is_required': False,
+                'label': '2nd Sitting Results',
+                'label_edit': '2nd Sitting Results',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'deletable': True,
+                'size_max': 40960,
+                'display_width': 300,
+                'display_height':600,
+                'allow_resize': True,
+            },
+        },###)
+    },
+    'layout': {
+        'style_prefix': 'layout_personal_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [
+            [{'widget_id': 'photo', 'ncols': 1},],
+            [{'widget_id': 'birth_certificate', 'ncols': 1},],
+            [{'widget_id': 'passport', 'ncols': 1},],
+            [{'widget_id': 'results_first', 'ncols': 1},],
+            [{'widget_id': 'results_second', 'ncols': 1},],
+        ]
+    },
 }
+
 ###)
 
@@ -2229,5 +2377,7 @@
 layouts['student_documents'] = student_documents
 layouts['student_personal'] = student_personal_layout
+layouts['student_personal_addon'] = student_personal_addon
 layouts['student_eligibility'] = student_eligibility
+layouts['student_schoolresults'] = student_schoolresults
 layouts['accommodation'] = accommodation
 layouts['accobook'] = accobook
Index: waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 178)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 179)
@@ -415,4 +415,10 @@
         },
     },
+     'username': {
+        'type': 'CPS String Field',
+        'data': {
+            'is_searchabletext': 1,
+        },
+    },
      'email': {
         'type': 'CPS String Field',
@@ -443,4 +449,7 @@
 ###)
 
+student_eligibility = { ###(
+}###)
+
 student_documents = { ###(
      'photo': {
@@ -478,77 +487,50 @@
 
 student_eligibility = { ###(
-     'firstname': {
-        'type': 'CPS String Field',
-        'data': {
-            'is_searchabletext': 1,
-        },
-    },
-    'middlename': {
-        'type': 'CPS String Field',
-        'data': {
-            'is_searchabletext': 1,
-        },
-    },
-     'lastname': {
-        'type': 'CPS String Field',
-        'data': {
-            'is_searchabletext': 1,
-        },
-    },
-     'username': {
-        'type': 'CPS String Field',
-        'data': {
-            'is_searchabletext': 0,
-        },
-    },
-     'sex': {
-        'type': 'CPS Boolean Field',
-        'default_expr': 'python:True',
-        'data': {
-            'is_searchabletext': 0,
-        },
-    },
-##     'birthday': {
-##        'type': 'CPS DateTime Field',
-##        'data': {
-##            'is_searchabletext': 1,
-##        },
-##    },
-     'age': {
+    'reg_nr': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+        },
+    },
+    'jamb_results': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+        },
+    },
+    'jamb_aggregate': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': False,
+        },
+    },
+    'faculty': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': False,
+        },
+    },
+    'course': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': False,
+        },
+    },
+    'jamb_listing_date': {
         'type': 'CPS DateTime Field',
         'data': {
-            'is_searchabletext': 0,
-        },
-    },
-    'email': {
-        'type': 'CPS String Field',
-        'data': {
-            'is_searchabletext': 1,
-        },
-    },
-    'pw': {
-        'type': 'CPS String Field',
-        'data': {
-            'default_expr': 'string:default',
-        },
-    },
-    'rpw': {
-        'type': 'CPS String Field',
-        'data': {
-            'default_expr': 'string:default',
-        },
-    },
-##     'photo': {
-##        'type': 'CPS Image Field',
-##        'data': {
-##            'is_searchabletext': 0,
-##        },
-##    },
-##     'birth_certificate': {
-##        'type': 'CPS Image Field',
-##        'data': {
-##            'is_searchabletext': 0,
-##        },
-##    },
+            'is_searchabletext': False,
+        },
+    },
+    'schoolresults': { ###(
+        'type': 'CPS List List Field',
+        'data': {
+            'is_searchabletext': False,
+            },
+        },###)
 }
 ###)
@@ -887,6 +869,6 @@
 schemas['student_admission'] = student_admission
 schemas['student_clearance'] = student_clearance
+schemas['student_eligibility'] = student_eligibility
 schemas['student_documents'] = student_documents
-schemas['student_eligibility'] = student_eligibility
 schemas['student_accommodation'] = student_accommodation
 schemas['student_hostel_fee'] = student_hostel_fee
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 178)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 179)
@@ -289,9 +289,9 @@
           },
          {'id'        : 'eligibility',
-          'name'      : 'eligibility',
+          'name'      : 'Post-Primary Results',
           'action'    : 'eligibility',
           'condition':  'object/memberIsOwner',
           'permission': (ModifyPortalContent,),
-          'visible': False,
+          'visible': True,
           },
          {'id'        : 'JAMB',
@@ -437,4 +437,48 @@
 ###)
 
+student_eligibility_type = { ###(
+    'title': "Student eligibility data",
+    'description': '',
+    'content_icon': '',
+    'content_meta_type': 'StudentEligibility',
+    'product': 'WAeUP',
+    'factory': 'addStudentEligibility',
+    'immediate_view': 'temporary_view_all',
+    'global_allow': True,
+    'filter_content_types': True,
+    'allowed_content_types': (),
+    'allow_discussion': False,
+    'cps_is_searchable': True,
+    'cps_proxy_type': 'document',
+    'cps_display_as_document_in_listing': True,
+    'cps_is_portalbox': False,
+    'schemas': ['student_eligibility'],
+    'layouts': ['student_eligibility'],
+    'flexible_layouts': (),
+    'storage_methods': (),
+    'cps_workspace_wf': 'workspace_content_wf',
+    'cps_section_wf': 'section_content_wf',
+    'actions': (
+         {'id': 'view',
+          'name': 'Standard View',
+          'action': 'temporary_view_all',
+          'permission': (View,),
+          'category': 'object',
+          'visible': True,},
+         {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'string:${object_url}/student_eligibility_edit_form',
+          'permission': (ModifyPortalContent,),
+          'category': 'object',
+          'visible': True,},
+         {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (UniversityManage,)},
+          )
+}
+###)
+
 student_documents = { ###(
     'title': "Students documents data",
@@ -934,4 +978,5 @@
 types['Student'] = student_type
 types['StudentDocuments'] = student_documents
+types['StudentEligibility'] = student_eligibility_type
 types['StudentPersonal'] = student_personal_type
 types['StudyLevel'] = study_level_folder