Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 181)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 182)
@@ -908,5 +908,5 @@
                 'is_i18n': 0,
                 'readonly_layout_modes': [],
-                'hidden_layout_modes': [],
+                'hidden_layout_modes': ['create','edit'],
                 'hidden_readonly_layout_modes': [],
                 'hidden_empty': 0,
@@ -922,6 +922,5 @@
         }###)
 
-student_eligibility = { ###(
-    'widgets': {
+eli_widgets = { ###(
         'jamb_results': {
             'type': 'String Widget',
@@ -1010,7 +1009,28 @@
         },
         'schoolresults': schoolresults,
-    },
+    }###)
+
+    
+student_eligibility = { ###(
+    'widgets': eli_widgets,
     'layout': {
         'style_prefix': 'layout_waeup_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [
+            [{'widget_id': 'jamb_results', 'ncols': 1},],
+            [{'widget_id': 'jamb_aggregate', 'ncols': 1},],
+            [{'widget_id': 'jamb_listing_date', 'ncols': 1},],
+            [{'widget_id': 'faculty', 'ncols': 1},],
+            [{'widget_id': 'course', 'ncols': 1},],
+            [{'widget_id': 'schoolresults', 'ncols': 1},],
+        ]
+    },
+}###)
+
+student_eligibility_edit = { ###(
+    'widgets': eli_widgets,
+    'layout': {
+        'style_prefix': 'layout_eligibility_',
         'flexible_widgets': (),
         'ncols': 1,
@@ -2379,4 +2399,5 @@
 layouts['student_personal_addon'] = student_personal_addon
 layouts['student_eligibility'] = student_eligibility
+layouts['student_eligibility_edit'] = student_eligibility_edit
 layouts['student_schoolresults'] = student_schoolresults
 layouts['accommodation'] = accommodation
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 181)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 182)
@@ -427,5 +427,6 @@
           'permission': (ModifyPortalContent,),
           'category': 'object',
-          'visible': True,},
+          'visible': True,
+          },
          {'id': 'metadata',
           'name': 'action_metadata',
@@ -468,8 +469,8 @@
          {'id': 'edit',
           'name': 'action_edit',
-          'action': 'string:${object_url}/student_eligibility_edit_form',
+          'action': 'string:${object_url}/eligibility',
           'permission': (ModifyPortalContent,),
           'category': 'object',
-          'visible': False,},
+          'visible': True,},
          {'id': 'metadata',
           'name': 'action_metadata',
Index: waeup_product/trunk/skins/waeup_faculty/get_departments_voc.py
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/get_departments_voc.py	(revision 181)
+++ waeup_product/trunk/skins/waeup_faculty/get_departments_voc.py	(revision 182)
@@ -5,5 +5,6 @@
 
 """
-academics = context.sections.portal.academics
+#academics = context.sections.portal.academics
+academics = context.portal_catalog(id = 'academics')[0].getObject()
 faculties = [f for f in context.filterContents(items=academics.contentValues()) if f.portal_type == 'Faculty']
 
@@ -12,5 +13,5 @@
     departments = [d for d in context.filterContents(items=faculty.contentValues()) if d.portal_type == 'Department']
     deplist.extend(departments)
-if key is None:
+if not key:
     return [(d.getId(),d.title_or_id(),) for d in deplist]
 return [d.title_or_id() for d in deplist if d.getId() == key][0]
Index: waeup_product/trunk/skins/waeup_faculty/get_faculties_voc.py
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/get_faculties_voc.py	(revision 181)
+++ waeup_product/trunk/skins/waeup_faculty/get_faculties_voc.py	(revision 182)
@@ -5,7 +5,9 @@
 
 """
-academics = context.sections.portal.academics
+academics = context.portal_catalog(id = 'academics')[-1].getObject()
 items = [i for i in context.filterContents(items=academics.contentValues()) if i.portal_type == 'Faculty']
-if key is None:
+context.REQUEST.set('items', items)
+context.REQUEST.set('key', key)
+if not key:
     return [(f.getId(),f.title_or_id(),) for f in items]
 return [f.title_or_id() for f in items if f.getId() == key][0]
Index: waeup_product/trunk/skins/waeup_student/eligibility.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/eligibility.py	(revision 181)
+++ waeup_product/trunk/skins/waeup_student/eligibility.py	(revision 182)
@@ -9,4 +9,5 @@
 rset = request.set
 fget = request.form.get
+form = request.form
 fhas = request.form.has_key
 
@@ -18,5 +19,11 @@
 sr = eli.schoolresults
 
-res,psm,ds = lt.renderLayout(layout_id= 'student_schoolresults',
+validate = fhas('add') or fhas('change') or fhas('delete')
+
+form['widget__jamb_results'] = eli.jamb_results                      
+form['widget__jamb_aggregate'] =eli.jamb_aggregate
+form['widget__faculty'] =eli.faculty                      
+form['widget__course'] =eli.course       
+res,psm,ds = lt.renderLayout(layout_id= 'student_eligibility_edit',
                       schema_id= 'student_eligibility',
                       context=context,
@@ -29,4 +36,5 @@
 
 inr = 0
+rset('ds',ds)
 if fhas('add') and (fget('type') or fget('subject') or fget('result')):
     sr.append((fget('type'),fget('subject'),fget('result')))
@@ -48,6 +56,10 @@
 else:
     psm = ''
-eli.edit(mapping={'schoolresults': sr})
-res,dummy,ds = lt.renderLayout(layout_id= 'student_schoolresults',
+ds.set('schoolresults',sr)
+eli.edit(mapping={'schoolresults':sr,
+                  'jamb_aggregate': fget('widget__aggregate'),
+                  })
+#eli.edit(mapping=ds)
+res,dummy,ds = lt.renderLayout(layout_id= 'student_eligibility_edit',
                       schema_id= 'student_eligibility',
                       context=context,
Index: waeup_product/trunk/skins/waeup_student/layout_eligibility_create.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/layout_eligibility_create.pt	(revision 181)
+++ waeup_product/trunk/skins/waeup_student/layout_eligibility_create.pt	(revision 182)
@@ -10,12 +10,13 @@
              edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-             formaction string:check_admission_form;
+             formaction options/formaction;
              first_layout options/first_layout|python:0;
              last_layout options/last_layout|python:0;
              is_flexible options/is_flexible;
              cpsmcat nocall:here/translation_service;
+             results options/schoolresults;
              "
              >
-  <form action='eligibility' method='post'
+  <form action='eligibility' method='post' tal:attributes="action formaction"
         enctype='multipart/form-data' class='workflow'>
     <div class='group'>
@@ -76,7 +77,97 @@
           </tr>
         </table>
-        <input type="submit" class="standalone" name="cpsdocument_edit_button" value="submit" />
-      </div>        
-    </div>
+    <table cellspacing="0" cellpadding="2" border="0" width="100%" tal:condition="results|nothing">
+      <tr>
+        <td align="left" valign="top">
+          &nbsp;
+        </td>
+        <td align="left" valign="top">
+          <div class="label">Type</div>
+        </td>
+        <td align="left" valign="top">
+          <div class="label">Subject</div>
+        </td>
+        <td align="left" valign="top">
+          <div class="label">Result</div>
+        </td>
+      </tr>
+      <span tal:repeat="row results" tal:omit-tag="">
+        <tr tal:define="rindex repeat/row/index">
+          <td align="left" valign="top">
+            <input type="checkbox" name="keys:list" value="100" tal:attributes="value string:${repeat/row/index}"/>
+          </td>
+          <td align="left" valign="top">
+            <div class="field">
+              <input type="text" name="key_0" value="100" size="20" 
+                     tal:attributes="name string:type_${rindex};value python:row[0]" />
+            </div>
+          </td>
+          <td align="left">
+            <div class="field">
+              <input type="text" name="label_0" value="Year 1 (100 Level)" size="40" 
+                     tal:attributes="name string:subject_${rindex};value python:row[1]" />
+            </div>
+          </td>
+          <td align="left">
+            <div class="field">
+              <input type="text" name="msgid_0" value="" size="10" 
+                     tal:attributes="name string:result_${rindex};value python:row[2]" />
+            </div>
+          </td>
+        </tr>
+      </span>
+      <tr>
+        <td align="left" colspan="3">
+          <input class="standalone" type="submit" name="change" value=" Change " />
+          <input class="standalone" type="submit" name="delete" value=" Delete " />
+        </td>
+      </tr>
+    </table>
+    <table cellspacing="0" cellpadding="2" border="0" width="100%">
+      <tr>
+        <td align="left" valign="top" colspan="2">
+          <div>Add a new postprimary school result</div>
+        </td>
+      </tr>
+      <tr>
+        <td align="left" valign="top">
+          &nbsp;
+        </td>
+        <td align="left" valign="top">
+          <div class="label">Type</div>
+        </td>
+        <td align="left" valign="top">
+          <div class="label">Subject</div>
+        </td>
+        <td align="left" valign="top">
+          <div class="label">Result</div>
+        </td>
+      </tr>
+      <tr>
+        <td align="left" valign="top">
+          &nbsp;
+        </td>
+        <td align="left" valign="top">
+          <div  class="field">
+            <input type="text" name="type" value="" size="20" /> 
+          </div>
+        </td>
+        <td align="left">
+          <div  class="field">
+            <input type="text" name="subject" value="" size="40" />
+          </div>
+        </td>
+        <td align="left">
+          <div  class="field">
+            <input type="text" name="result" value="" size="10" />
+          </div>
+        </td>
+      </tr>
+      <tr>
+        <td align="left" colspan="3">
+          <input class="standalone" type="submit" name="add" value=" Add " />
+        </td>
+      </tr>
+    </table>
   </form>
 </metal:block>
Index: waeup_product/trunk/skins/waeup_student/process_waeup_login.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/process_waeup_login.py	(revision 181)
+++ waeup_product/trunk/skins/waeup_student/process_waeup_login.py	(revision 182)
@@ -53,5 +53,5 @@
 context.notifyCPSDocumentCreation(ob=pd)
 
-return response.redirect("%s/personal_addon" % ma.absolute_url())
+return response.redirect("%s" % ma.absolute_url())
 #return ma.personal_addon(REQUEST=context.REQUEST)
 