Index: /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 187)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 188)
@@ -946,11 +946,11 @@
         },
         'jamb_aggregate': {
-            'type': 'Int Widget',
-            'data': {
-                'title': 'Agregate',
+            'type': 'String Widget',
+            'data': {
+                'title': 'Aggregate',
                 'fields': ('jamb_aggregate',),
                 'is_required': False,
-                'label': 'Score',
-                'label_edit': 'Score',
+                'label': 'JAMB Score',
+                'label_edit': 'JAMB Score',
                 'description': '',
                 'help': '',
@@ -1011,5 +1011,5 @@
     }###)
 
-    
+
 student_eligibility = { ###(
     'widgets': eli_widgets,
@@ -1019,5 +1019,5 @@
         'ncols': 1,
         'rows': [
-            [{'widget_id': 'jamb_results', 'ncols': 1},],
+            #[{'widget_id': 'jamb_results', 'ncols': 1},],
             [{'widget_id': 'jamb_aggregate', 'ncols': 1},],
             [{'widget_id': 'jamb_listing_date', 'ncols': 1},],
@@ -1036,7 +1036,7 @@
         'ncols': 1,
         'rows': [
-            [{'widget_id': 'jamb_results', 'ncols': 1},],
+            #[{'widget_id': 'jamb_results', 'ncols': 1},],
             [{'widget_id': 'jamb_aggregate', 'ncols': 1},],
-            [{'widget_id': 'jamb_listing_date', 'ncols': 1},],
+            #[{'widget_id': 'jamb_listing_date', 'ncols': 1},],
             [{'widget_id': 'faculty', 'ncols': 1},],
             [{'widget_id': 'course', 'ncols': 1},],
@@ -1130,6 +1130,6 @@
                 'fields': ('passport',),
                 'is_required': False,
-                'label': 'scanned Passport',
-                'label_edit': 'scanned Passport',
+                'label': 'Scanned Passport',
+                'label_edit': 'Scanned Passport',
                 'description': '',
                 'help': '',
@@ -1613,11 +1613,11 @@
         },
         'aggregate': {
-            'type': 'Int Widget',
+            'type': 'String Widget',
             'data': {
                 'title': 'Agregate',
                 'fields': ('aggregate',),
                 'is_required': False,
-                'label': 'Score',
-                'label_edit': 'Score',
+                'label': 'JAMB Score',
+                'label_edit': 'JAMB Score',
                 'description': '',
                 'help': '',
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 187)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 188)
@@ -298,5 +298,5 @@
           'id'        : 'eligibility',
           'name'      : 'Eligibility Data',
-          'action'    : 'eligibility',
+          'action'    : 'ELIGIBILITY',
           'condition':  'object/memberIsOwner',
           'permission': (ModifyPortalContent,),
Index: /waeup_product/trunk/skins/waeup_student/check_admission_form.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/check_admission_form.pt	(revision 187)
+++ /waeup_product/trunk/skins/waeup_student/check_admission_form.pt	(revision 188)
@@ -16,5 +16,5 @@
         <h1> Check Your Admission Status! </h1>
         <div tal:replace="structure rendered_main" />
-          Instructions :<br />
+          <p>Instructions :</p>
           <ul>
             <li>Buy an Admission Check Scratch Card </li> 
Index: /waeup_product/trunk/skins/waeup_student/clearance_form.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/clearance_form.pt	(revision 187)
+++ /waeup_product/trunk/skins/waeup_student/clearance_form.pt	(revision 188)
@@ -14,7 +14,7 @@
     </metal:block>
       <metal:block fill-slot="main">
-        <h1>Clearance and Eligibility Processing </h1>
+        <h1>Start Clearance Process!</h1>
         <div tal:replace="structure rendered_main" />
-          Instructions :<br />
+          <p>Instructions :</p>
           <ul>
             <li>Buy a Clearance Scratch Card </li> 
Index: /waeup_product/trunk/skins/waeup_student/eligibility_form.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/eligibility_form.pt	(revision 187)
+++ /waeup_product/trunk/skins/waeup_student/eligibility_form.pt	(revision 188)
@@ -13,5 +13,4 @@
     </metal:block>
       <metal:block fill-slot="main">
-        <h1> Fill in your post-primary school results</h1>
         <div tal:replace="structure rendered_main" />
       </metal:block>
Index: /waeup_product/trunk/skins/waeup_student/register_level.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/register_level.py	(revision 187)
+++ /waeup_product/trunk/skins/waeup_student/register_level.py	(revision 188)
@@ -26,13 +26,11 @@
 if psm == 'invalid':
     return context.register_level_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = 'Please correct your errors',
+                                 psm = "Please correct your input",
+                                 ds = ds,
                                  )
 elif psm == '':
     return context.register_level_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = psm,
+                                 psm = None,
+                                 ds = ds,
                                  )
 
@@ -43,7 +41,6 @@
     if level:
         return context.register_level_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = "You have already registered for Level %s" % voc.get(level_id)
+                                 psm = "You have already registered for Level %s" % voc.get(level_id),
+                                 ds = ds,
                                  )
 