Index: /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 189)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 190)
@@ -1015,9 +1015,11 @@
     'layout': {
         'style_prefix': 'layout_waeup_',
+        'layout_edit_method': 'layout_eligibility_create',
+        'layout_create_method': 'layout_eligibility_create',
         'flexible_widgets': (),
         'ncols': 1,
         'rows': [
             #[{'widget_id': 'jamb_results', 'ncols': 1},],
-            #[{'widget_id': 'jamb_aggregate', 'ncols': 1},],
+            [{'widget_id': 'jamb_aggregate', 'ncols': 1},],
             #[{'widget_id': 'jamb_listing_date', 'ncols': 1},],
             [{'widget_id': 'faculty', 'ncols': 1},],
@@ -1036,5 +1038,5 @@
         'rows': [
             #[{'widget_id': 'jamb_results', 'ncols': 1},],
-            #[{'widget_id': 'jamb_aggregate', 'ncols': 1},],
+            [{'widget_id': 'jamb_aggregate', 'ncols': 1},],
             #[{'widget_id': 'jamb_listing_date', 'ncols': 1},],
             [{'widget_id': 'faculty', 'ncols': 1},],
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 189)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 190)
@@ -503,5 +503,4 @@
         'type': 'CPS String Field',
         'data': {
-            'default_expr': 'string:',
             'is_searchabletext': False,
         },
Index: /waeup_product/trunk/skins/waeup_student/eligibility.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/eligibility.py	(revision 189)
+++ /waeup_product/trunk/skins/waeup_student/eligibility.py	(revision 190)
@@ -20,21 +20,28 @@
 
 validate = fhas('add') or fhas('change') or fhas('delete')
-
-#form['widget__jamb_results'] = eli.jamb_results                      
-#form['widget__jamb_aggregate'] =eli.jamb_aggregate
-form['widget__faculty'] =eli.faculty                      
-form['widget__course'] =eli.course       
-res,psm,ds = lt.renderLayout(layout_id= 'student_eligibility_edit',
+data = {'faculty': eli.faculty,
+        'course': eli.course,
+        'jamb_aggregate': eli.jamb_aggregate,
+        }
+res,psm,ds = lt.renderLayout(layout_id= 'student_eligibility',
                       schema_id= 'student_eligibility',
                       context=context,
-                      mapping=request,
-                      ob={},
+                      mapping=validate and request,
+                      ob=data,
                       layout_mode='create',
                       formaction = "eligibility",
                       schoolresults = sr,
                       )
-
+if psm == 'invalid':
+    return context.eligibility_form(rendered = res,
+                                 psm = 'Please correct your errors',
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.eligibility_form(rendered = res,
+                                 psm = psm,
+                                 ds = ds,
+                                 )
 inr = 0
-rset('ds',ds)
 if fhas('add') and (fget('type') or fget('subject') or fget('result')):
     sr.append((fget('type'),fget('subject'),fget('result')))
@@ -54,12 +61,10 @@
     sr = new
     psm = "%s items deleted" % inr
-else:
-    psm = ''
+elif psm == 'valid':
+    psm = "your changes have been saved"
+    
 ds.set('schoolresults',sr)
-eli.edit(mapping={'schoolresults':sr,
-                  'jamb_aggregate': fget('widget__aggregate'),
-                  })
-#eli.edit(mapping=ds)
-res,dummy,ds = lt.renderLayout(layout_id= 'student_eligibility_edit',
+eli.edit(mapping=ds)
+res,dummy,fds = lt.renderLayout(layout_id= 'student_eligibility',
                       schema_id= 'student_eligibility',
                       context=context,
@@ -72,22 +77,5 @@
 
 return context.eligibility_form(rendered = res,
-                                 #psm = str(ds),
+                                 #psm = "%s <br /> %s" % (str(ds),str(lt.student_eligibility.getLayoutDefinition()))
                                  psm = psm,
                                  )
-##elif psm == '':
-##    return context.eligibility_form(rendered = res,
-##                                 psm = None,
-##                                 ds = ds,
-##                                 )
-##elif psm == 'valid':
-##    s_personal = context.PERSONAL.getContent()
-##    s_personal.edit(mapping={'email': ds.get('email')})
-##    #pw = REQUEST.get("widget__pw")
-##    #pm.setPassword(pw)
-##psm = 'Email has been successfully set.'
-##return context.REQUEST.RESPONSE.redirect('%s' % context.portal_url.getUrlFromRpath('/students'))
-##
-####return context.eligibility_form(rendered = res,
-####                                 psm = psm,
-####                                 ds = ds,
-####                                 )